Page MenuHome

Black 3D / Corrupted viewport with Intel HD and Windows 8.1 / Windows 7
Closed, ResolvedPublicBUG

Description

System Information
Operating system:Windows 8.1
Graphics card:Integrated Intel HD Graphics

Blender Version
Broken:
(example: 2.80, edbf15d3c044, blender2.8, 2018-11-28, as found on the splash screen)

Short description of error
The 3D Viewport looks complete black, meshes become visible after changing shading type, but grid floor is never visible


Exact steps for others to reproduce the error
Start the program and the error is right there.
Based on the default startup or an attached .blend file (as simple as possible).

Event Timeline

Sebastian Parborg (zeddb) lowered the priority of this task from 90 to 30.Dec 12 2018, 5:16 PM

Try a newer blender beta https://builder.blender.org/download/
And also try to update your GPU drivers.

Report back your results.

Try a newer blender beta https://builder.blender.org/download/
And also try to update your GPU drivers.
Report back your results.

The issue is still as it is.
Used the latest build: Date:2018-12-16 23:25 Hash: 9149e894210 and GPU drivers are up-to-date

Sebastian Parborg (zeddb) raised the priority of this task from 30 to Normal.

Attach the output when you run blender with "--debug-gpu". You can also try and see if "--debug-gpu-force-workarounds" solves the issue.

Attach the output when you run blender with "--debug-gpu". You can also try and see if "--debug-gpu-force-workarounds" solves the issue.

with --debug-gpu output is:

tried "--debug-gpu-force-workarounds" , but the problem still persists

Brecht Van Lommel (brecht) renamed this task from Black 3D viewport with Intel HD graphics to Black 3D viewport with Intel HD and Windows 8.1.EditedMar 11 2019, 6:28 PM

This seems specifically related to Windows version 8.1, or at least versions before 10.

I updated to Win10 and none of the problems are visible any more. No other changes were made to the computer.

This comment was removed by Niraj (niko_f5).
Niraj (niko_f5) changed the task status from Unknown Status to Resolved.Mar 16 2019, 2:37 PM

The problem got solved.
As suggested in one of the solutions, I changed my system default graphic driver to Nvidia from Intel.
Now it's working just fine.
Thanks a lot folks for your quick help.

Brecht Van Lommel (brecht) changed the task status from Resolved to Unknown Status.Mar 16 2019, 2:45 PM

Leaving open the report for others.

Found this thread after having the same issue.
Intel 4th Gen i5
Integrated HD Graphics
Windows 8.1

I have done the following:
Installed the latest version of Blender 2.8 as of today.
Updated graphics driver to the latest version as of today.

and ran debug_gpu with the following results:

Running in debug_gpu_glitchworkaround yielded no results.

Windows 7, Release 2019-03-18, On Win 7, and Intel Graphics Card, issue still remains.

Changing default graphic card solved the problem in my case. Thank you for delivered solution.

Brecht Van Lommel (brecht) triaged this task as High priority.EditedMar 21 2019, 11:56 AM

We haven't been able to reproduce this ourselves as developers, but marking as high priority due to the number of reports.

We've ordered a CPU with Intel HD graphics and will set up a system with Windows 7/8 to try to reproduce this.

Meanwhile the solution is to upgrade to Windows 10.

I have had the same problem for the last two days, and as many people have already said it works fine on 2.79

Clément Foucault (fclem) renamed this task from Black 3D viewport with Intel HD and Windows 8.1 to Black 3D / Corrupted viewport with Intel HD and Windows 8.1 / Windows 7.Mar 25 2019, 8:09 PM
Giovanni (MiG1968) changed the task status from Unknown Status to Resolved.Mar 26 2019, 3:45 PM

Update OS to Windows 10.
Blender 2.8 works fine now.

Brecht Van Lommel (brecht) changed the task status from Resolved to Unknown Status.Mar 26 2019, 4:16 PM

Just downloaded and tested blender-2.80-cc73d59ad580-win64 on the same machine used to report the bug in ticket T58589.

Everything works, looks great. Good job!

Thanks guys.